uk.gov.hmrc.releaser.github

# GithubConnector

###
Related Docs: object GithubConnector | package github

#### class GithubConnector extends GithubTagAndRelease with Logger

Linear Supertypes
Logger, GithubTagAndRelease, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GithubConnector
2. Logger
3. GithubTagAndRelease
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new GithubConnector(githubHttp: GithubHttp, releaserVersion: String, comitterDetails: GithubCommitter = GithubCommitter())

### Type Members

1. #### case class GitRelease(name: String, tag_name: String, body: String, draft: Boolean, prerelease: Boolean) extends Product with Serializable

2. #### case class TagObject(tag: String, message: String, object: String, tagger: Tagger, type: String = "commit") extends Product with Serializable

3. #### case class TagRef(ref: String, sha: String) extends Product with Serializable

4. #### case class TagRefResponse(sha: String) extends Product with Serializable

5. #### case class Tagger(name: String, email: String, date: String) extends Product with Serializable

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def createGithubTagAndRelease(tagDate: DateTime, commitSha: CommitSha, commitAuthor: String, commitDate: DateTime, artefactName: String, gitRepo: Repo, releaseCandidateVersion: String, version: String, releaseNotes: Option[String]): Try[Unit]

   Definition Classes
     GithubConnector → GithubTagAndRelease

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### implicit val gitReleaseFormats: OFormat[GitRelease]

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### val log: ConsoleLog

    Definition Classes
      Logger

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### implicit val tagObjectFormats: OFormat[TagObject]

20. #### implicit val tagRefFormats: OFormat[TagRef]

21. #### implicit val tagRefResponseFormats: OFormat[TagRefResponse]

22. #### implicit val taggerFormats: OFormat[Tagger]

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### def verifyGithubTagExists(repo: Repo, sha: CommitSha): Try[Unit]

    Definition Classes
      GithubConnector → GithubTagAndRelease

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Logger

### Inherited from GithubTagAndRelease

### Inherited from AnyRef

### Inherited from Any

### Ungrouped